<?php

/**
 * @file
 * Contains fil.page.inc.
 *
 * Page callback for Fil entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Fil templates.
 *
 * Default template: fil.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_fil(array &$variables) {
  // Fetch Fil Entity Object.
  $fil = $variables['elements']['#fil'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
